Skip to content
BleemeoBleemeo

Create a metric template group

POST
/v1/metrictemplategroup/
curl --request POST \
--url https://example.com/v1/metrictemplategroup/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "default_label": "example", "server_group": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "threshold_low_warning": 1, "threshold_low_critical": 1, "threshold_high_warning": 1, "threshold_high_critical": 1 }'

Create a new metric template group.

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
id
required
string format: uuid
default_label
required
string
<= 100 characters
server_group
required
string format: uuid
threshold_low_warning
number format: double
nullable
threshold_low_critical
number format: double
nullable
threshold_high_warning
number format: double
nullable
threshold_high_critical
number format: double
nullable
created_at
required
string format: date-time
created_by
required
string format: uuid
nullable
Examplegenerated
{
"default_label": "example",
"server_group": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"threshold_low_warning": 1,
"threshold_low_critical": 1,
"threshold_high_warning": 1,
"threshold_high_critical": 1
}
Media typeapplication/json

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
id
required
string format: uuid
default_label
required
string
<= 100 characters
server_group
required
string format: uuid
threshold_low_warning
number format: double
nullable
threshold_low_critical
number format: double
nullable
threshold_high_warning
number format: double
nullable
threshold_high_critical
number format: double
nullable
created_at
required
string format: date-time
created_by
required
string format: uuid
nullable
Examplegenerated
{
"default_label": "example",
"server_group": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"threshold_low_warning": 1,
"threshold_low_critical": 1,
"threshold_high_warning": 1,
"threshold_high_critical": 1
}